org.apache.hadoop.yarn.webapp.hamlet

## Class Hamlet.TBODY<T extends HamletSpec._>

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.hamlet.HamletImpl.EImp<T>
  - - org.apache.hadoop.yarn.webapp.hamlet.Hamlet.TBODY<T>

- All Implemented Interfaces:
    HamletSpec._, HamletSpec._Child, HamletSpec._TableRow, HamletSpec.Attrs, HamletSpec.CoreAttrs, HamletSpec.EventsAttrs, HamletSpec.I18nAttrs, HamletSpec.TBODY
  Enclosing class:
    Hamlet

      public class Hamlet.TBODY<T extends HamletSpec._>
      extends HamletImpl.EImp<T>
      implements HamletSpec.TBODY

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TBODY(String name, T parent, EnumSet<HamletImpl.EOpt> opts)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Hamlet.TBODY<T>` | `$class(String value)` space-separated list of classes
    `Hamlet.TBODY<T>` | `$dir(HamletSpec.Dir value)` direction for weak/neutral text
    `Hamlet.TBODY<T>` | `$id(String value)` document-wide unique id
    `Hamlet.TBODY<T>` | `$lang(String value)` language code
    `Hamlet.TBODY<T>` | `$onclick(String value)` a pointer button was clicked
    `Hamlet.TBODY<T>` | `$ondblclick(String value)` a pointer button was double clicked
    `Hamlet.TBODY<T>` | `$onkeydown(String value)` a key was pressed down
    `Hamlet.TBODY<T>` | `$onkeypress(String value)` a key was pressed and released
    `Hamlet.TBODY<T>` | `$onkeyup(String value)` a key was released
    `Hamlet.TBODY<T>` | `$onmousedown(String value)` a pointer button was pressed down
    `Hamlet.TBODY<T>` | `$onmousemove(String value)` a pointer was moved within
    `Hamlet.TBODY<T>` | `$onmouseout(String value)` a pointer was moved away
    `Hamlet.TBODY<T>` | `$onmouseover(String value)` a pointer was moved onto
    `Hamlet.TBODY<T>` | `$onmouseup(String value)` a pointer button was released
    `Hamlet.TBODY<T>` | `$style(String value)` associated style info
    `Hamlet.TBODY<T>` | `$title(String value)` advisory title
    `Hamlet.TR<Hamlet.TBODY<T>>` | `tr()` Add a TR (table row) element.
    `Hamlet.TR<Hamlet.TBODY<T>>` | `tr(String selector)` Add a TR element.

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.hamlet.HamletImpl.EImp

      `_, _endTag, _inline, _p, _pre, _v, addAttr, addAttr, addMediaAttr, addRelAttr, closeAttrs`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Child

      `_`

- - ### Constructor Detail

    - #### TBODY

          public TBODY(String name,
                       T parent,
                       EnumSet<HamletImpl.EOpt> opts)

  - ### Method Detail

    - #### $id

          public Hamlet.TBODY<T> $id(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      document-wide unique id
      Specified by:
        `$id` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the id
      Returns:
        the current element builder

    - #### $class

          public Hamlet.TBODY<T> $class(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      space-separated list of classes
      Specified by:
        `$class` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the classes
      Returns:
        the current element builder

    - #### $title

          public Hamlet.TBODY<T> $title(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      advisory title
      Specified by:
        `$title` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the title
      Returns:
        the current element builder

    - #### $style

          public Hamlet.TBODY<T> $style(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      associated style info
      Specified by:
        `$style` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the style
      Returns:
        the current element builder

    - #### $lang

          public Hamlet.TBODY<T> $lang(String value)

      Description copied from interface: `HamletSpec.I18nAttrs`
      language code
      Specified by:
        `$lang` in interface `HamletSpec.I18nAttrs`
      Parameters:
        `value` - the code
      Returns:
        the current element builder

    - #### $dir

          public Hamlet.TBODY<T> $dir(HamletSpec.Dir value)

      Description copied from interface: `HamletSpec.I18nAttrs`
      direction for weak/neutral text
      Specified by:
        `$dir` in interface `HamletSpec.I18nAttrs`
      Parameters:
        `value` - the `HamletSpec.Dir` value
      Returns:
        the current element builder

    - #### $onclick

          public Hamlet.TBODY<T> $onclick(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was clicked
      Specified by:
        `$onclick` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $ondblclick

          public Hamlet.TBODY<T> $ondblclick(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was double clicked
      Specified by:
        `$ondblclick` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmousedown

          public Hamlet.TBODY<T> $onmousedown(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was pressed down
      Specified by:
        `$onmousedown` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmouseup

          public Hamlet.TBODY<T> $onmouseup(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was released
      Specified by:
        `$onmouseup` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmouseover

          public Hamlet.TBODY<T> $onmouseover(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer was moved onto
      Specified by:
        `$onmouseover` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmousemove

          public Hamlet.TBODY<T> $onmousemove(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer was moved within
      Specified by:
        `$onmousemove` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmouseout

          public Hamlet.TBODY<T> $onmouseout(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer was moved away
      Specified by:
        `$onmouseout` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onkeypress

          public Hamlet.TBODY<T> $onkeypress(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a key was pressed and released
      Specified by:
        `$onkeypress` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onkeydown

          public Hamlet.TBODY<T> $onkeydown(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a key was pressed down
      Specified by:
        `$onkeydown` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onkeyup

          public Hamlet.TBODY<T> $onkeyup(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a key was released
      Specified by:
        `$onkeyup` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### tr

          public Hamlet.TR<Hamlet.TBODY<T>> tr()

      Description copied from interface: `HamletSpec._TableRow`
      Add a TR (table row) element.
      Specified by:
        `tr` in interface `HamletSpec._TableRow`
      Returns:
        a new TR element builder

    - #### tr

          public Hamlet.TR<Hamlet.TBODY<T>> tr(String selector)

      Description copied from interface: `HamletSpec._TableRow`
      Add a TR element.
      Specified by:
        `tr` in interface `HamletSpec._TableRow`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new TR element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.